<template>
  <div style="display:inline">
    <el-popconfirm
      title="确定删除当前选中账号吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" size="small" :type="type">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data','type'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "classname": "webmanage.users.users",
        "method": "deleteUserSite",
        "content": {
          "userid":this.data.userid
        }
      }).then(res=>{
        this.$emit('onSuccess')
        this.tool.showMessage(res)
      })
    },
  }
}

</script>
